Animation = Class{}

function Animation:init(params)

    self.texture = params.texture
    self.frames = params.frames or {}
    self.interval = params.intervals or 0.5
    self.timer = 0
    self.currenFrame = 1

end

function Animation:getCurrentFrame()

        return self.frames[self.currenFrame]
end


function Animation:restart()
    
    self.timer = 0
    self.currenFrame = 1
end

function Animation:update( dt )

    self.timer = self.timer + dt

    if #self.frames == 1 then

        return self.currenFrame
    

   else 
        if self.timer > self.interval then
        
        
        self.currenFrame = (self.currenFrame + 1 ) % (#self.frames + 1)

        self.timer = self.timer - self.interval
        if self.currenFrame == 0 then self.currenFrame = 1 end
        
        end

    end
    
end