Door = Class{}

function Door:init(map)

--    sounds = {
--     ['door'] =love.audio.newSource('sounds/door.wav','static') 
--    }
--    door = sounds['door']
    self.map = map
    --self.x = map.tileWidthPixels / 2 - 32 * 1 + 8
    self.x = (map.mapWidth / 2 - 1) * map.tileWidth -map.tileWidth
    self.y = map.tileWidth -6
    -- self.map:setTile(self.map:TileAt( self.x + 16  ,  self.y + 18 ).x , self.map:TileAt( self.x +16 ,  self.y + 18  ).y , FLOOR_EMPITY) 
    -- self.map:setTile(self.map:TileAt( self.x + 16  ,  self.y + 24  ).x , self.map:TileAt( self.x +16 ,  self.y + 24  ).y , FLOOR_EMPITY)   
    
     self.map:setTile(self.map:TileAt( self.x  ,  self.y + 16  ).x , self.map:TileAt( self.x  ,  self.y +16  ).y , FLOOR_EMPITY) 
     self.map:setTile(self.map:TileAt( self.x  ,  self.y + 32  ).x , self.map:TileAt( self.x  ,  self.y +32  ).y , FLOOR_EMPITY) 
     self.map:setTile(self.map:TileAt( self.x + 16  ,  self.y + 16  ).x , self.map:TileAt( self.x +16 ,  self.y + 16  ).y , FLOOR_EMPITY)
     self.map:setTile(self.map:TileAt( self.x + 16  ,  self.y + 32  ).x , self.map:TileAt( self.x +16 ,  self.y + 32  ).y , FLOOR_EMPITY)
    self.width = 32 
    self.height = 32
    self.texture = love.graphics.newImage('graphics/door_spritesheet.png')
    self.frames = GenarateQuad(self.texture , self.width , self.height)
    self.animations = {
        ['closed'] = Animation({

            texture = self.texture ,
            frames = {self.frames[1]} ,
            interval = 1
            
        }) ,
        ['unlock'] = Animation({
            texture = self.texture ,
            frames =   self.frames,
            interval = 0.002

        }) ,
        ['open'] = Animation({
            texture = self.texture ,
            frames = {self.frames[#self.frames]},
            interval = 1
        })
    }
    self.currentAnimation = self.animations['closed']
    -- doorFrames = self.currentAnimation:getCurrentFrame()


end

function Door:update(dt) 
    -- body
    if haveKey then
        if self.currentAnimation:getCurrentFrame() == self.frames[14] then 
            self.currentAnimation = self.animations['open']
            return
        end
      --  love.audio.play(door)
        self.currentAnimation = self.animations['unlock']
    else
        self.currentAnimation = self.animations['closed']
       
    end
    self.currentAnimation:update(dt)
    -- doorFrames = self.currentAnimation:getCurrentFrame()
    
end


function Door:render()


     love.graphics.draw(self.texture ,self.currentAnimation:getCurrentFrame(), self.x , self.y)
 
end



function  Door:Collide(box)

    if self.x > box.x + box.width or self.x + self.width < box.x then
        return false
    end
    if self.y > box.y + box.height or self.y + self.height < box .y then 
        return false
    end

    return true

    

    
end