Spikes= Class{}


function Spikes:init(map , posX , posY)

    self.map = map
    self.x = map.tileWidth * posX --9
    self.y = map.tileWidth * posY -- 5
    self.width = 16
    self.height = 16
    self.texture = love.graphics.newImage('graphics/spikes_spritesheet.png')
    self.frames = GenarateQuad(self.texture , self.width , self.height)
    self.deathTime = false
    self.animations = {
        ['spike'] = Animation({
texture = self.texture , 
frames = self.frames ,
interval = 1
        })
    }
    self.currentAnimation = self.animations['spike']
    spikeFrames = self.currentAnimation:getCurrentFrame()
    
end


function Spikes:update(dt)

        self.animations['spike']:update(dt)
        spikeFrames = self.currentAnimation:getCurrentFrame()
        if self.currentAnimation:getCurrentFrame() == self.frames[8] or 
        self.currentAnimation:getCurrentFrame() == self.frames[9]   or      
        self.currentAnimation:getCurrentFrame() == self.frames[10]   then
            self.deathTime = true
        else
            self.deathTime = false
        end

 

    
end


function Spikes:render()

    love.graphics.draw(self.texture , self.animations['spike']:getCurrentFrame() , self.x , self.y)
    
end

function  Spikes:Collide(box)

    if self.x > box.x + box.width or self.x + self.width < box.x then
        return false
    end
    if self.y > box.y + box.height or self.y + self.height < box .y then 
        return false
    end

    if self.deathTime then 

     return true
    end
    

    

    
end