function GenarateQuad(atlas , tileWidth , tileHeight)
    
    local tileWidthCount = atlas:getWidth() / tileWidth   -- how mant tiles per atlas width
    local tileHightCount = atlas:getHeight() / tileHeight  -- how many tiles per  atlas height
    local tileIndex = 1  -- initial tile index is 1
    local quad = {}  -- creat a table of quads

    for y = 0 ,  tileHightCount -1 do
        
        for x = 0 , tileWidthCount -1 do
            
            quad[tileIndex] = love.graphics.newQuad(x  * tileWidth, y * tileHeight , tileWidth , tileHeight , atlas:getDimensions())
            tileIndex = tileIndex + 1
        
        end

        
    end

    return quad
end