
Map = Class{}
require('Util')

BARREL = 2
LIB = 3

FLAG_GREEN = 4
FLAG_RED = 5

KEY = 6

EXCIR_GREEN = 7
EXCIR_RED = 8
EXCIR_YELLO = 9

TABLE_LEFT = 10
TABLE_RIGHT = 11

FLOOR = 12
FLOOR_SOLID = 13

SKULL = 14

SMALL_TABLE = 15

FLOOR_UP_LEFT = 16
FLOOR_UP_MIDD = 17
FLOOR_UP_RIGHT = 18

FLOOR_19 = 19
FLOOR_20 = 20
FLOOR_21 = 21
FLOOR_22 = 22
FLOOR_23 = 23
FLOOR_24 = 24

FLOOR_MID_LEFT = 25
FLOOR_EMPITY = 26
FLOOR_MID_RIGHT = 27
FLOOR_STAIR = 28

STAIR_NEX_LEVEL = 29
FLOOR_30 = 30
FLOOR_31 = 31
FLOOR_32 = 32
FLOOR_33 = 33 

FLOOR_DWN_LEFT = 34
FLOOR_DWN_RIGHT = 36

TILE_BLOCK1 = 43
TILE_BLOCK2 = 44
TILE_BLOCK3 = 45

TILE_BLOCK4 = 54
TILE_BLOCK5 = 53
TILE_BLOCK6 = 52



function Map:init(pos )
    
    self.spiritsheet = love.graphics.newImage('graphics/full tilemap.png')
    self.tileWidth = 16   -- pixels of width for each tile 
    self.tileHeight = 16  --pixels for height for each tile
    self.mapWidth =  28    -- how many tiles in the width of the map
    self.mapHeight = 15   --how many tiles in the height of the map
    self.tiles = {} -- tile map list
    self.camX = pos
    self.camY  = 0
    self.x = 0
    self.y = 0
    self.tileWidthPixels = self.tileWidth * self.mapWidth
    self.tileHeightPixels = self.tileHeight * self.mapHeight
    self.valy = 16
    -- self.player = Player(self , 3 ,'first' , 'graphics/blue_alien.png')
    -- self.player2= Player(self , 10,'second' , 'graphics/blue_alien2.png')
    self.keyXpos = 0
    self.keyYpos = 0
    --BackGround.mp3
    --self.music = love.audio.newSource('Music/Ya.Nas.mp3', 'static')
    self.music = love.audio.newSource('Music/BackGround.mp3', 'static')
    self.tilespirits = GenarateQuad(self.spiritsheet , self.tileWidth , self.tileHeight)  -- set list of quads of spirts
    self.music:setLooping(true)
    self.music:play()
    self.tileBlocks = {TILE_BLOCK1 , TILE_BLOCK2 , TILE_BLOCK3 , TILE_BLOCK4 , TILE_BLOCK5 ,
    TILE_BLOCK6}
   
    for y = 1 , self.mapHeight  do

        for x = 1 ,self.mapWidth do

           if math.random(10) == 2  then 

           
                self:setTile(x , y , FLOOR_UP_MIDD)
            elseif math.random(15) == 1 then
                self:setTile(x , y , FLOOR_19)


            else

                self:setTile(x , y , FLOOR_MID_LEFT)
            end

        end
    end  


  
  rightEdge = 1 
  leftEdge = self.mapWidth - 1


    for y = 1 , self.mapHeight  do

        

        self:setTile(rightEdge , y , TILE_BLOCK1)
        self:setTile(leftEdge , y , TILE_BLOCK1)

  
    end 

    

    
    for y = 0 , 7  do

        

        self:setTile(5 , y , TILE_BLOCK6)
        self:setTile(5 , y , TILE_BLOCK6)

  
    end 

    for y =  4 , self.mapHeight   do

        

        self:setTile(16 , y , TILE_BLOCK1)
        self:setTile(16, y , TILE_BLOCK1)

  
    end 

    for x = 10 , 18 do


        self:setTile(x ,  4, TILE_BLOCK1)
        self:setTile(x ,  4 , TILE_BLOCK1)



    end


    for y = 0 , 4 do     --top right blocks


        self:setTile(22 ,  y, TILE_BLOCK6)
        self:setTile(22 ,  y , TILE_BLOCK6)



    end


    for x = self.mapWidth - 11 , self.mapWidth - 4 do ---down right blocks


        self:setTile(x , 11, TILE_BLOCK6)
        self:setTile(x , 11 , TILE_BLOCK6)



    end


    for x = 8, 16 do ---mid right blocks


        self:setTile(x , 7, TILE_BLOCK6)
        self:setTile(x , 7 , TILE_BLOCK6)



    end



    for x = self.mapWidth - 7 , self.mapWidth do ---mid right blocks


        self:setTile(x , 7, TILE_BLOCK6)
        self:setTile(x , 7 , TILE_BLOCK6)



    end

    for x = 1 , 11 do ---down left blocks


        self:setTile(x , self.mapHeight - 4, TILE_BLOCK6)
        self:setTile(x , self.mapHeight - 4 , TILE_BLOCK6)



    end


    upedge = 1 
    downEdge = self.mapHeight

    for x = 1 , self.mapWidth - 1 do


        self:setTile(x , upedge , TILE_BLOCK1)
        self:setTile(x , downEdge , TILE_BLOCK1)



    end

    -- self.keyXpos = math.floor( math.random(4 , self.mapWidth- 4))
    -- self.keyYpos = math.floor(math.random(2 , self.tileHeight- 2) )


    -- for i = 0 , #self.tileBlocks  do -- make sure the key not above a block
    --     for _,value in ipairs {self.tileBlocks} do

    --         while self:TileAt(self.keyXpos ,  self.keyYpos).id  == value do
            
    --         self.keyXpos = math.floor( math.random(4 , self.mapWidth- 4))
    --         self.keyYpos = math.floor(math.random(2 , self.tileHeight- 2) )
    --         end

    --     end
    -- end
   
    -- self:setTile(  self.keyXpos   ,self.keyYpos  , KEY)


    

    -- for x = 1 ,self.mapWidth do

    --     self:setTile(x , y , TILE_BLOCK5)

    -- end




    -- for y = self.mapHeight / 2 , self.mapHeight  do

    --     for x = 1 ,self.mapWidth do

    --         self:setTile(x , y , TILE_BRICK)

    --     end
    -- end
    -- x = 1
    -- while x < self.mapWidth-self.mapWidth/4 -5 do



    --     if x < self.mapWidth - 2 then

    --         if math.random(20) == 1 then
    --             local cloudY = math.random(self.mapHeight /2 - 3) 
    --             self:setTile(x , cloudY , CLOUD_LEFT)
    --             x = x + 1
    --             self:setTile(x  , cloudY , CLOUD_RIGHT) 
                
    --         end
    --     end
            
    --     if math.random(25) == 1 then
    --             local grassY = self.mapHeight / 2  -1
    --             self:setTile(x , grassY , GRASS_LEFT)
    --             x = x + 1
    --             self:setTile(x , grassY , GRASS_RIGHT) 
    --             x = x + 1
        
    --     end

        

    --     if math.random(40) == 2 then
    --         self:setTile(x , self.mapHeight /2 - 2 , MUSHROM_UP)
    --         self:setTile(x , self.mapHeight /2 - 1 , MUSHROM_DOWN)
    --         x = x + 1

    --     end
    --     if math.random(20) == 1 then
    --         self:setTile(x , self.mapHeight /2 - 4 , BLOCK_JUMP)
           
    --         x = x + 1

        
        
    --     end

    --     if math.random(30) == 1 then
            
    --         for  emtyY = self.mapHeight/2 , self.mapHeight do
    --             self:setTile(x , emtyY , TILE_EMPTY)
    --         end
    --         x = x + 1
    --     end

        



    -- end

    -- x =math.floor(self.mapWidth-self.mapWidth/4 + 1) 
   
      
        

    --     for y = self.mapHeight / 2 , self.mapHeight / 2  - 8 , -1   do

    --        while y < self.mapHeight / 2 do

    --         self:setTile(x , y , TILE_BRICK)
    --         y = y + 1
    --        end
    --         x = x + 1
    --     end            
        
    -- x = self.mapWidth - 3
    -- counter = 1
    -- for y = self.mapHeight / 2  - 1, self.mapHeight / 2  - 5 , -1   do
       
    --     counter = counter + 1
    --     if (counter == 5 ) then

    --         self:setTile(x + 1 , y + 1, 13)
    --     else
            
    --         self:setTile(x , y , self.valy )
           
    --         self.valy = self.valy - 4
    --     end
    -- end
    
    

end
   

function Map:TileAt( x , y )   ---get the tile indexed  value at x , y pixel value

        -- return Map:getTile(math.floor( x/self.tileWidth ) +1 , math.floor( y/ self.tileHeight ) + 1)  
        return {
            x = math.floor(x / self.tileWidth) + 1,
            y = math.floor(y / self.tileHeight) + 1,
            id = self:getTile(math.floor(x / self.tileWidth) + 1, math.floor(y / self.tileHeight) + 1)
        }
end





function Map:setTile( x , y , ID)  -- set tile based on x , y tile index mapping

    self.tiles[((y - 1) * self.mapWidth )+ x] = ID
end

function Map:getTile( x , y  )

    return self.tiles[(y - 1) * self.mapWidth + x]
end

function Map:Collide(tile)

    -- local collidable = {TILE_BRICK , TILE_HIT , TILE_JUMP , MUSHROM_UP , MUSHROM_UP}
    local collidable = {KEY, BARREL, EXCIR_GREEN, TABLE_LEFT, TABLE_RIGHT, SMALL_TABLE,
    TILE_BLOCK1, TILE_BLOCK2, TILE_BLOCK3, TILE_BLOCK4, TILE_BLOCK5, TILE_BLOCK6}

    for k , v in ipairs(collidable) do

        if tile.id == v then 
            return true
        end
    end

    return false
    


end

function Map:update( dt )



    -- self.player:update(dt)
    -- self.player2d:update(dt)
    -- self.camX =math.max(0 , 
    -- math.min(self.player.x - VIRTUAL_WIDTH /2 ,
    -- math.min(self.tileWidthPixels -VIRTUAL_WIDTH , self.player.x) ))
   


     


end

function Map:render(  )
    
    for y = 1  , self.mapHeight do
        for x = 1 , self.mapWidth do


    
            love.graphics.draw(self.spiritsheet ,  self.tilespirits[self:getTile(x,y)] ,
            (x -1) * self.tileWidth , (y-1) * self.tileHeight)
          
        

        end


    end

    
    
    

    
    -- self.player:render()
    -- self.player2:render()

end
