objects = Class{}

function objects:init(map , posX , posY , texture)


    self.map = map
    self.x = posX * map.tileWidth
    self.y = map.tileWidth * posY 
   
    self.width = 16 
    self.height = 16
    self.texture = texture 
    self.frames = GenarateQuad(self.texture , self.width , self.height)

    self.animations = {
        ['frames'] = Animation({

            texture = self.texture ,
            frames =  self.frames ,
            interval = 0.1
            
        })
    }
    self.currentAnimation = self.animations['frames']

end

function objects:update(dt )
    
    self.currentAnimation:update(dt * 4)

end






function  objects:Collide(box)

    if self.x > box.x + box.width or self.x + self.width < box.x then
        return false
    end
    if self.y > box.y + box.height or self.y + self.height < box .y then 
        return false
    end

    return true
 
end

function objects:animations()

    love.graphics.draw(self.texture ,self.currentAnimation:getCurrentFrame(), self.x , self.y)

end



function objects:render()


     love.graphics.draw(self.texture , self.x , self.y)
 
end


